CppUnit project page | FAQ | CppUnit home page

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# TestRunnerDSPluginVC6.h File Reference

`#include "rpc.h"`
`#include "rpcndr.h"`
`#include "windows.h"`
`#include "ole2.h"`
`#include "oaidl.h"`
`#include "ocidl.h"`

Include dependency graph for TestRunnerDSPluginVC6.h:

Go to the source code of this file.

## Classes
struct | ITestRunnerDSPluginVtbl
## Defines
#define | __REQUIRED_RPCNDR_H_VERSION__ 440
## Typedefs
typedef interface ITestRunnerDSPlugin | ITestRunnerDSPlugin
typedef DSAddIn | DSAddIn
## Functions
void __RPC_FAR *__RPC_USER | MIDL_user_allocate (size_t)
void __RPC_USER | MIDL_user_free (void __RPC_FAR *)
HRESULT STDMETHODCALLTYPE | ITestRunnerDSPlugin_goToLineInSourceCode_Proxy (ITestRunnerDSPlugin __RPC_FAR *This, BSTR fileName, int lineNumber)
void __RPC_STUB | ITestRunnerDSPlugin_goToLineInSourceCode_Stub (IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase)
unsigned long __RPC_USER | BSTR_UserSize (unsigned long __RPC_FAR *, unsigned long, BSTR __RPC_FAR *)
unsigned char __RPC_FAR *__RPC_USER | BSTR_UserMarshal (unsigned long __RPC_FAR *, unsigned char __RPC_FAR *, BSTR __RPC_FAR *)
unsigned char __RPC_FAR *__RPC_USER | BSTR_UserUnmarshal (unsigned long __RPC_FAR *, unsigned char __RPC_FAR *, BSTR __RPC_FAR *)
void __RPC_USER | BSTR_UserFree (unsigned long __RPC_FAR *, BSTR __RPC_FAR *)
## Variables
EXTERN_C const IID | IID_ITestRunnerDSPlugin
EXTERN_C const IID | LIBID_TestRunnerDSPluginLib
EXTERN_C const CLSID | CLSID_DSAddIn

## Define Documentation

#define __REQUIRED_RPCNDR_H_VERSION__ 440

## Typedef Documentation

typedef struct DSAddIn DSAddIn

typedef interface ITestRunnerDSPlugin ITestRunnerDSPlugin

## Function Documentation

void __RPC_USER BSTR_UserFree | ( | unsigned long __RPC_FAR * | ,
|  | BSTR __RPC_FAR * |  |
| ) |  |  |

unsigned char __RPC_FAR* __RPC_USER BSTR_UserMarshal | ( | unsigned long __RPC_FAR * | ,
|  | unsigned char __RPC_FAR * | ,
|  | BSTR __RPC_FAR * |  |
| ) |  |  |

unsigned long __RPC_USER BSTR_UserSize | ( | unsigned long __RPC_FAR * | ,
|  | unsigned | long,
|  | BSTR __RPC_FAR * |  |
| ) |  |  |

unsigned char __RPC_FAR* __RPC_USER BSTR_UserUnmarshal | ( | unsigned long __RPC_FAR * | ,
|  | unsigned char __RPC_FAR * | ,
|  | BSTR __RPC_FAR * |  |
| ) |  |  |

HRESULT STDMETHODCALLTYPE ITestRunnerDSPlugin_goToLineInSourceCode_Proxy | ( | ITestRunnerDSPlugin __RPC_FAR * | This,
|  | BSTR | fileName,
|  | int | lineNumber |
| ) |  |  |

void __RPC_STUB ITestRunnerDSPlugin_goToLineInSourceCode_Stub | ( | IRpcStubBuffer * | This,
|  | IRpcChannelBuffer * | _pRpcChannelBuffer,
|  | PRPC_MESSAGE | _pRpcMessage,
|  | DWORD * | _pdwStubPhase |
| ) |  |  |

void __RPC_FAR* __RPC_USER MIDL_user_allocate | ( | size_t |  | ) |

void __RPC_USER MIDL_user_free | ( | void __RPC_FAR * |  | ) |

## Variable Documentation

EXTERN_C const CLSID CLSID_DSAddIn

EXTERN_C const IID IID_ITestRunnerDSPlugin

EXTERN_C const IID LIBID_TestRunnerDSPluginLib

| hosts this site. |  | Send comments to: CppUnit Developers